## mlt 7.16.0

=== debian/changelog ===
mlt (7.16.0-2) unstable; urgency=high

  * Correct install path for python module to work also with Python 3.11.
    Closes: #1041664, #1042208
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Jul 2023 10:27:16 +0200

mlt (7.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Use libsdl1.2-compat-dev for the SDL 1.2 plugin.
    Closes: #1038506
  * Switch build dependency from libgdk-pixbuf2.0-dev to libgdk-pixbuf-2.0-dev.
    Closes: #1037396

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 02 Jul 2023 16:30:11 +0200
