=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
  libavformat-dev,
  libdv4-dev,
  libexif-dev,
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libmovit-dev,
  libfftw3-dev,
  libjack-dev,
  libpango1.0-dev,
  libsamplerate-dev,
- libsdl1.2-dev,
+ libsdl1.2-compat-dev,
  libsdl2-dev,
  libsox-dev (>= 14.3.0),
  libswscale-dev,
