## mlt 7.16.0-1~ubuntu22.04.1+11.0trisquel2

=== debian/changelog ===
mlt (7.16.0-1~ubuntu22.04.1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from official PPA for kdenlive as a dependency of
    kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 19 May 2023 00:41:05 +0000

mlt (7.16.0-1~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Julius Künzel <jk.kdedev@smartlab.uber.space>  Thu, 18 May 2023 22:31:30 +0000
