=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: mlt
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper-compat (= 13),
  ffmpeg,
  libqt5opengl5-dev,
  libqt5svg5-dev,
- libarchive-dev,
  ladspa-sdk,
  libavdevice-dev,
  libavformat-dev,
  libdv4-dev,
  libexif-dev,
- libgdk-pixbuf-2.0-dev,
+ libgdk-pixbuf2.0-dev,
  libmovit-dev,
  libfftw3-dev,
  libjack-dev,
  libpango1.0-dev,
  libsamplerate-dev,
- libsdl1.2-compat-dev,
+ libsdl1.2-dev,
  libsdl2-dev,
  libsox-dev (>= 14.3.0),
  libswscale-dev,
@@ -33,9 +32,8 @@
  swig,
  libebur128-dev (>= 1.2.0-2),
  python3-dev,
- cmake,
- chrpath,
- dh-python
+ dh-python,
+ cmake
 Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
