## mlt 7.18.0

=== debian/changelog ===
mlt (7.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 02 Aug 2023 13:20:41 +0200
