=== debian/changelog ===
mlt (7.20.0-1) unstable; urgency=high

  * New upstream release.
  * Add patch to fix a FTBFS with RTAudio version 6.
    Closes: #1051570

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 20 Oct 2023 10:14:41 +0200

mlt (7.18.0-2) unstable; urgency=medium

  * Remove leftover file in dh_clean.
    Closes: #1046679

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 22 Aug 2023 16:32:32 +0200
