=== debian/changelog ===
mlt (7.22.0-1build6) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 00:24:48 +0100

mlt (7.22.0-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:34:22 +0000

mlt (7.22.0-1build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:57:05 +0000

mlt (7.22.0-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:14:31 +0000

mlt (7.22.0-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:45:10 +0000

mlt (7.22.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:24:52 +0000

mlt (7.22.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 01-rtaudio6.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Dec 2023 08:42:35 +0100
