=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: mlt
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper-compat (= 13),
  ffmpeg,
  libqt5opengl5-dev,
  libqt5svg5-dev,
+ libarchive-dev,
  ladspa-sdk,
  libavdevice-dev,
  libavformat-dev,
  libdv4-dev,
  libexif-dev,
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libmovit-dev,
  libfftw3-dev,
  libjack-dev,
  libpango1.0-dev,
  libsamplerate-dev,
- libsdl1.2-dev,
+ libsdl1.2-compat-dev,
  libsdl2-dev,
  libsox-dev (>= 14.3.0),
  libswscale-dev,
@@ -32,8 +34,9 @@
  swig,
  libebur128-dev (>= 1.2.0-2),
  python3-dev,
- dh-python,
- cmake
+ cmake,
+ chrpath,
+ dh-python
 Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
