## mlt 7.22.0-1~ubuntu22.04.1+11.0trisquel2

=== debian/changelog ===
mlt (7.22.0-1~ubuntu22.04.1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from official PPA for kdenlive as a dependency of
    kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Dec 2023 01:54:01 +0000

mlt (7.22.0-1~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Julius Künzel <jk.kdedev@smartlab.uber.space>  Thu, 07 Dec 2023 22:04:49 +0000
