## mlt 7.24.0

=== debian/changelog ===
mlt (7.24.0-1build2) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:32:47 +0200

mlt (7.24.0-1build1) oracular; urgency=medium

  * Rebuild against latest rtaudio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Jun 2024 07:41:54 -0400

mlt (7.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 29 Apr 2024 11:24:38 +0200
