## mlt 7.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.14)
 
 project(MLT
-  VERSION 7.22.0
+  VERSION 7.28.0
   DESCRIPTION "Multimedia Framework"
   HOMEPAGE_URL "https://www.mltframework.org"
   LANGUAGES C CXX
@@ -21,6 +21,8 @@
 option(MOD_GLAXNIMATE "Enable Glaxnimate module (Qt5)" OFF)
 option(MOD_GLAXNIMATE_QT6 "Enable Glaxnimate module (Qt6)" OFF)
 option(MOD_JACKRACK "Enable JACK Rack module" ON)
+option(USE_LV2 "Enable LV2 features" ON)
+option(USE_VST2 "Enable LV2 features" ON)
 option(MOD_KDENLIVE "Enable Kdenlive module" ON)
 option(MOD_NDI "Enable NDI module" OFF)
 option(MOD_NORMALIZE "Enable Normalize module (GPL)" ON)
@@ -37,6 +39,7 @@
 option(MOD_SDL1 "Enable SDL1 module" ON)
 option(MOD_SDL2 "Enable SDL2 module" ON)
 option(MOD_SOX "Enable SoX module" ON)
+option(MOD_SPATIALAUDIO "Enable SpatialAudio module" ON)
 option(MOD_VIDSTAB "Enable vid.stab module (GPL)" ON)
 option(MOD_VORBIS "Enable Vorbis module" ON)
 option(MOD_XINE "Enable XINE module (GPL)" ON)
@@ -149,6 +152,9 @@
   set(GCC_FLAGS "-Wall -Werror -Wno-deprecated-declarations")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GCC_FLAGS} -Wno-class-memaccess -Wno-array-compare -Wno-unused-result -Wno-maybe-uninitialized")
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GCC_FLAGS} -Wno-discarded-qualifiers")
+  # The following showed up in GCC 14, which I am using via msys2 on Windows.
+  # Remove the following when Glaxnimate is fixed.
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-c++20-compat -Wno-dangling-reference")
 endif ()
 
 if(MSVC)
@@ -243,7 +249,18 @@
   find_package(JACK)
   pkg_check_modules(glib IMPORTED_TARGET glib-2.0)
   check_include_file(ladspa.h ladspa_h_FOUND)
+  if(NOT ladspa_h_FOUND)
+    set(USE_LV2 OFF)
+    set(USE_VST2 OFF)
+  endif()
   list(APPEND MLT_SUPPORTED_COMPONENTS jackrack)
+endif()
+
+if(USE_LV2)
+  pkg_check_modules(lilv IMPORTED_TARGET lilv-0)
+  if(NOT lilv_FOUND)
+    set(USE_LV2 OFF)
+  endif()
 endif()
 
 if(MOD_KDENLIVE)
@@ -368,34 +385,3 @@
   if(TARGET PkgConfig::rubberband)
     list(APPEND MLT_SUPPORTED_COMPONENTS rubberband)
   else()
-    set(MOD_RUBBERBAND OFF)
-  endif()
-endif()
-
-if(MOD_SDL1)
-  pkg_check_modules(sdl IMPORTED_TARGET sdl)
-  if(TARGET PkgConfig::sdl)
-    list(APPEND MLT_SUPPORTED_COMPONENTS sdl)
-  else()
-    set(MOD_SDL1 OFF)
-  endif()
-endif()
-
-if(MOD_SDL2)
-  if(TARGET PkgConfig::sdl2)
-    list(APPEND MLT_SUPPORTED_COMPONENTS sdl2)
-  else()
-    set(MOD_SDL2 OFF)
-  endif()
-endif()
-
-if(MOD_SOX)
-  pkg_check_modules(sox IMPORTED_TARGET sox)
-  if(TARGET PkgConfig::sox)
-    list(APPEND MLT_SUPPORTED_COMPONENTS sox)
-  else()
-    set(MOD_SOX OFF)
-  endif()
-endif()
-
-if(MOD_VIDSTAB)
