=== debian/changelog ===
mlt (7.28.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 08 Dec 2024 21:34:45 -0800

mlt (7.28.0-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 16 Sep 2024 10:35:04 +0200

mlt (7.26.0-1) unstable; urgency=medium

  * New upstream releases.
  * Bump Standards-Version to 4.7.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 28 Aug 2024 14:19:01 +0200
