=== debian/control ===
--- 
+++ 
@@ -1,43 +1,43 @@
 Source: mlt
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper-compat (= 13),
- ffmpeg,
- libqt5opengl5-dev,
- libqt5svg5-dev,
- libarchive-dev,
- ladspa-sdk,
- libavdevice-dev,
- libavformat-dev,
- libdv4-dev,
- libexif-dev,
- libgdk-pixbuf-2.0-dev,
- libmovit-dev,
- libfftw3-dev,
- libjack-dev,
- libpango1.0-dev,
- libsamplerate-dev,
- libsdl1.2-compat-dev,
- libsdl2-dev,
- libsox-dev (>= 14.3.0),
- libswscale-dev,
- librubberband-dev,
- libopencv-dev,
- libvorbis-dev,
- libvidstab-dev,
- libxine2-dev,
- libxml2-dev,
- librtaudio-dev [linux-any],
- imagemagick,
- frei0r-plugins-dev,
- swig,
- libebur128-dev (>= 1.2.0-2),
- python3-dev,
- cmake,
- chrpath,
- dh-python
-Standards-Version: 4.6.2
+Build-Depends: chrpath,
+               cmake,
+               debhelper-compat (= 13),
+               dh-python,
+               ffmpeg,
+               frei0r-plugins-dev,
+               imagemagick,
+               ladspa-sdk,
+               libarchive-dev,
+               libavdevice-dev,
+               libavformat-dev,
+               libdv4-dev,
+               libebur128-dev (>= 1.2.0-2),
+               libexif-dev,
+               libfftw3-dev,
+               libgdk-pixbuf-2.0-dev,
+               libjack-dev,
+               libmovit-dev,
+               libopencv-dev,
+               libpango1.0-dev,
+               libqt5opengl5-dev,
+               libqt5svg5-dev,
+               librtaudio-dev [linux-any],
+               librubberband-dev,
+               libsamplerate-dev,
+               libsdl1.2-compat-dev,
+               libsdl2-dev,
+               libsox-dev (>= 14.3.0),
+               libswscale-dev,
+               libvidstab-dev,
+               libvorbis-dev,
+               libxine2-dev,
+               libxml2-dev,
+               python3-dev,
+               swig
+Standards-Version: 4.7.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://www.mltframework.org
@@ -46,8 +46,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
- libmlt7 (= ${binary:Version})
+Depends: libmlt7 (= ${binary:Version}), ${misc:Depends}
 Description: multimedia framework (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -62,9 +61,8 @@
 Package: libmlt7
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
- ${misc:Depends}
-Recommends: libmlt-data (>= ${source:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends},
+          libmlt-data (>= ${source:Version})
 Description: multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -95,8 +93,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmlt++7 (= ${binary:Version}),
- ${misc:Depends}
+Depends: libmlt++7 (= ${binary:Version}), ${misc:Depends}
 Description: MLT multimedia framework C++ wrapper (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -111,8 +108,7 @@
 Package: libmlt++7
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: MLT multimedia framework C++ wrapper (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -127,9 +123,7 @@
 Package: melt
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends},
- libmlt-data (>= ${source:Version})
+Depends: libmlt-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: command line media player and video editor
  melt was meant as a test tool for the MLT framework, but it is also a powerful
  multitrack command line oriented video editor. It could also used as an
@@ -138,9 +132,7 @@
 Package: python3-mlt
 Architecture: any
 Section: python
-Depends: ${shlibs:Depends},
- ${misc:Depends},
- ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Provides: ${python3:Provides}
 Conflicts: python-mlt
 Replaces: python-mlt
