=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,8 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO THANK YOU ANYWAY but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
